Bug 908649 - [abrt] emacs-24.2-5.fc18: fatal_error_signal: Process /usr/bin/emacs-24.2 was killed by signal 11 (SIGSEGV) [NEEDINFO]
Summary: [abrt] emacs-24.2-5.fc18: fatal_error_signal: Process /usr/bin/emacs-24.2 was...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Hracek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:8a1e44f4c5e85ed90caaa1963aa...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-02-07 09:05 UTC by Diablo
Modified: 2014-02-05 18:59 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-02-05 18:59:26 UTC
phracek: needinfo? (ch.shibo)


Attachments (Terms of Use)
File: backtrace (51.57 KB, text/plain)
2013-02-07 09:05 UTC, Diablo
no flags Details
File: cgroup (130 bytes, text/plain)
2013-02-07 09:05 UTC, Diablo
no flags Details
File: core_backtrace (8.17 KB, text/plain)
2013-02-07 09:05 UTC, Diablo
no flags Details
File: dso_list (11.70 KB, text/plain)
2013-02-07 09:05 UTC, Diablo
no flags Details
File: environ (2.61 KB, text/plain)
2013-02-07 09:05 UTC, Diablo
no flags Details
File: limits (1.29 KB, text/plain)
2013-02-07 09:06 UTC, Diablo
no flags Details
File: maps (57.31 KB, text/plain)
2013-02-07 09:06 UTC, Diablo
no flags Details
File: open_fds (680 bytes, text/plain)
2013-02-07 09:06 UTC, Diablo
no flags Details
File: proc_pid_status (922 bytes, text/plain)
2013-02-07 09:06 UTC, Diablo
no flags Details
File: var_log_messages (1.32 KB, text/plain)
2013-02-07 09:06 UTC, Diablo
no flags Details

Description Diablo 2013-02-07 09:05:44 UTC
Version-Release number of selected component:
emacs-24.2-5.fc18

Additional info:
backtrace_rating: 4
cmdline:        emacs class.cpp
crash_function: fatal_error_signal
executable:     /usr/bin/emacs-24.2
kernel:         3.7.2-204.fc18.x86_64
remote_result:  NOTFOUND
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #1 fatal_error_signal at /usr/src/debug/emacs-24.2/src/emacs.c:366
 #4 getenv at getenv.c:89
 #5 g_getenv at genviron.c:256
 #6 send_and_allow_reentry at event.c:104
 #7 Accessibility_DeviceEventController_NotifyListenersSync at event.c:155
 #8 spi_atk_bridge_key_listener at event.c:224
 #9 _gail_util_key_snooper at gailutil.c:284
 #10 gtk_invoke_key_snoopers at gtkmain.c:2247
 #11 gtk_main_do_event at gtkmain.c:1667
 #16 g_main_context_iteration at gmain.c:3351

Comment 1 Diablo 2013-02-07 09:05:48 UTC
Created attachment 694335 [details]
File: backtrace

Comment 2 Diablo 2013-02-07 09:05:51 UTC
Created attachment 694336 [details]
File: cgroup

Comment 3 Diablo 2013-02-07 09:05:54 UTC
Created attachment 694337 [details]
File: core_backtrace

Comment 4 Diablo 2013-02-07 09:05:57 UTC
Created attachment 694338 [details]
File: dso_list

Comment 5 Diablo 2013-02-07 09:05:59 UTC
Created attachment 694339 [details]
File: environ

Comment 6 Diablo 2013-02-07 09:06:02 UTC
Created attachment 694340 [details]
File: limits

Comment 7 Diablo 2013-02-07 09:06:05 UTC
Created attachment 694341 [details]
File: maps

Comment 8 Diablo 2013-02-07 09:06:08 UTC
Created attachment 694342 [details]
File: open_fds

Comment 9 Diablo 2013-02-07 09:06:11 UTC
Created attachment 694343 [details]
File: proc_pid_status

Comment 10 Diablo 2013-02-07 09:06:14 UTC
Created attachment 694344 [details]
File: var_log_messages

Comment 11 Fedora Admin XMLRPC Client 2013-02-27 15:48:42 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 12 Petr Hracek 2013-05-14 11:24:09 UTC
For analysis I would like to get some overview.
How to simulate that error.

You have just only logged into KDE and run command emacs --daemon?
Did you logged out from session when SIGSEGV occurs?

Thank you in advance

Comment 13 Olivier Crête 2013-05-17 23:33:07 UTC
I was just saving a text file

backtrace_rating: 4
cmdline:        emacs
crash_function: fatal_error_signal
executable:     /usr/bin/emacs-24.2
kernel:         3.8.11-200.fc18.x86_64
package:        emacs-24.2-18.fc18
reason:         Process /usr/bin/emacs-24.2 was killed by signal 7 (SIGBUS)
uid:            500
ureports_counter: 1
xsession_errors:

Comment 14 Fedora End Of Life 2013-12-21 11:12:40 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2014-02-05 18:59:26 UTC
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.